Subject: Re: zsh-4.1.1-2 still seems broken under Cygwin-1.5.7-1 .
From: Larry Hall <[email-masked]>
To: "Morris Siegel" <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Wed, 11 Feb 2004 19:20:53 -0500

At 05:48 PM 2/11/2004, Morris Siegel you wrote:
>My PC is running under Windows XP Professional, and until recently with Cygwin-1.5.5-1 and zsh-4.1.1-1 .  I upgraded to Cygwin-1.5.6-1, installing everything available, in particular including zsh-4.1.1-2 .  zsh behaved in a buggy fashion.  I reported it; you kindly replied that similarly problems had been reported by others, and that Cygwin-1.5.7-1 should fix matters.  I upgraded to that, and the behavior is improved, but still buggy: (1) sometimes when I start zsh it hangs, sometimes it starts normally; (2) zsh command-line editing generally badly messes up the display when long command lines are being edited.  I seem to recall that problem (2) was a consistent nuisance a while back, but then some new Cygwin release (I don't remember which) fixed it.  (I generally run zsh under screen, by the way.) 
>The only reason I upgraded from Cygwin-1.5.5 was to have the most up-to-date release; it behaved without problem for me.  Is there any way I can restore it? 
>Thanks for your attention and reply. 
>-- Morris M. Siegel
> [email-masked]

Sure.  Run setup again and downgrade all the packages you upgraded.  But
you're better off trying a snapshot to see if that fixes any problems
you're seeing.  Otherwise, the problems may persist beyond 1.5.7.  It's
good to be moving things forward rather than being stuck in the past. ;-)

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/